Subject: Re: [PATCH 5/5] t8020: fix test failure due to indeterministic tag sorting

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 02 Oct 2025 13:10:53 +0200

On Thu, Oct 2, 2025, at 13:04, Patrick Steinhardt wrote:
> [snip]
>
> But why do both of these tags point to the same commit? "km2" really is
> supposed to be a merge, but due to the way the test is constructed the
> merge turns into a fast-forward merge. Which means that the resulting
> does not even contain a criss-cross merge in the first place! A quick

“the resulting <noun>”

By the way these intro (paragraph) sentences like “But why do” and 
“And it is” really help connect the whole narrative in the message.  
I’ve noticed the same thing on some other recent commits/patches.

> test though shows that the test indeed triggers the bug, so the initial
> analysis that the behaviour is triggered by such merges must be wrong.
>
>[snip]